OGRE: Ogre::NedPoolingAlignedPolicy< Alignment > Class Template Reference - OGRE Documentation

Public Types | Static Public Member Functions | Private Member Functions

# Ogre::NedPoolingAlignedPolicy< Alignment > Class Template Reference
[Memory]

An allocation policy for use with AllocatedObject and STLAllocator, which aligns memory at a given boundary (which should be a power of 2). More...

`#include <OgreMemoryNedPooling.h>`

List of all members.

## Public Types
typedef int | IsValidAlignment [Alignment<=128 &&((Alignment &(Alignment-1))==0)?+1:-1]
## Static Public Member Functions
static void * | allocateBytes (size_t count, const char *file=0, int line=0, const char *func=0)
static void | deallocateBytes (void *ptr)
static size_t | getMaxAllocationSize ()
| Get the maximum size of a single allocation.
## Private Member Functions
| NedPoolingAlignedPolicy ()

## Detailed Description

### template<size_t Alignment = 0>
class Ogre::NedPoolingAlignedPolicy< Alignment >

An allocation policy for use with AllocatedObject and STLAllocator, which aligns memory at a given boundary (which should be a power of 2).

This is the class that actually does the allocation and deallocation of physical memory, and is what you will want to provide a custom version of if you wish to change how memory is allocated.

  This allocation policy uses nedmalloc (http://nedprod.com/programs/portable/nedmalloc/index.html).

Note:
  template parameter Alignment equal to zero means use default platform dependent alignment.

Definition at line 103 of file OgreMemoryNedPooling.h.

## Member Typedef Documentation

template<size_t Alignment = 0>

typedef int Ogre::NedPoolingAlignedPolicy< Alignment >::IsValidAlignment[Alignment<=128 &&((Alignment &(Alignment-1))==0)?+1:-1]

Definition at line 108 of file OgreMemoryNedPooling.h.

## Constructor & Destructor Documentation

template<size_t Alignment = 0>

Ogre::NedPoolingAlignedPolicy< Alignment >::NedPoolingAlignedPolicy | ( |  | ) | `[private]`

Definition at line 128 of file OgreMemoryNedPooling.h.

## Member Function Documentation

template<size_t Alignment = 0>

static void* Ogre::NedPoolingAlignedPolicy< Alignment >::allocateBytes | ( | size_t | count,
|  | const char * | file = `0`,
|  | int | line = `0`,
|  | const char * | func = `0` |
| ) |  |  | `[static]`

Definition at line 110 of file OgreMemoryNedPooling.h.

template<size_t Alignment = 0>

static void Ogre::NedPoolingAlignedPolicy< Alignment >::deallocateBytes | ( | void * | ptr | ) | `[static]`

Definition at line 116 of file OgreMemoryNedPooling.h.

template<size_t Alignment = 0>

static size_t Ogre::NedPoolingAlignedPolicy< Alignment >::getMaxAllocationSize | ( |  | ) | `[static]`

Get the maximum size of a single allocation.

Definition at line 122 of file OgreMemoryNedPooling.h.

The documentation for this class was generated from the following file:

- OgreMemoryNedPooling.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56